Subject: bug#44466: 27.1; quail input fails at read-only boundary

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Nov 2020 15:47:01 +0200

> From: dick <[email-masked]>
> Date: Thu, 05 Nov 2020 08:48:08 -0500
> 
> 
> Run this:
> 
> emacs-27.1 -Q -nw --eval "(progn \
>         (switch-to-buffer \"*scratch*\") \
>         (erase-buffer) \
>         (save-excursion (insert (propertize \"\n\" 'read-only t))) \
>         (set-input-method \"russian-computer\" t))"
> 
> Now type "a".  Note it is incorrect.  We want cyrillic, not latin.

Thanks.

This is due to an attempt to fix a different problem, see

  https://lists.gnu.org/archive/html/emacs-devel/2019-09/msg00093.html

Evgeny, could you please look into this?  Thinking about the original
problem now, I actually don't think I understand why the fix we
installed then is correct.  It seems to effectively disable an input
method in that case, but why is that TRT, even if we are on a button,
let alone in a buffer with point at a character with read-only
property?  So I'm inclined to revert the change.